﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class UnActor : MonoBehaviour {

	[HideInInspector]
	public GameObject originalLevel;
	[HideInInspector]
	public string originalName;
	
	public bool detached = true;
	public Dictionary<string, string> properties = new Dictionary<string, string> (System.StringComparer.OrdinalIgnoreCase);

	public string GetProp(string prop, string def="")
	{
		if (properties.ContainsKey (prop))
			return properties [prop];
		else
			return def;
	}
}
